%define okular5core_major 8
%define libokular5core %mklibname okularcore %okular5core_major

Name:           okular
Summary:        A universal document viewer
Version: 		17.12.3
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2
URL:            http://www.kde.org/applications/graphics/okular/
Source:         http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz
BuildRequires: cmake 
BuildRequires: lib64djvulibre-devel
BuildRequires: lib64freetype6-devel
BuildRequires: lib64jpeg-devel
BuildRequires: lib64kcodecs-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5activities-devel
BuildRequires: lib64kf5archive-devel
BuildRequires: lib64kf5bookmarks-devel
BuildRequires: lib64kf5completion-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5exiv2-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5jobwidgets-devel
BuildRequires: lib64kf5parts-devel
BuildRequires: lib64kf5pty-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5sonnetui-devel
BuildRequires: lib64kf5textwidgets-devel
BuildRequires: lib64kf5threadweaver5
BuildRequires: lib64kf5threadweaver-devel
BuildRequires: lib64kf5wallet-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64kitemviews5
BuildRequires: lib64kitemviews-devel
BuildRequires: lib64kjs-devel
BuildRequires: lib64poppler-qt5-devel
BuildRequires: lib64qca2-qt5-devel
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5network-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5svg-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64qt5xml-devel 
BuildRequires: lib64spectre-devel 
BuildRequires: lib64tiff-devel 
BuildRequires: libxml2-utils 
BuildRequires: phonon4qt5-devel 
BuildRequires: pkgconfig 
BuildRequires: qtbase5-common-devel 
BuildRequires: zlib1-devel 


%description
Okular is a universal document viewer based on KPDF for KDE 4.

Okular combines the excellent functionalities of KPDF with the versatility
of supporting different kind of documents, like PDF, Postscript, DjVu, CHM,
and others.

The document format handlers page has a chart describing in more detail
the supported formats and the features supported in each of them.

%files
%_kf5_sysconfdir/xdg/okular.categories
%_kf5_bindir/okular
%_kf5_applicationsdir/*
%_kf5_datadir/config.kcfg/pdfsettings.kcfg
%_kf5_datadir/okular
%_kf5_datadir/config.kcfg/okular.kcfg
%_kf5_datadir/config.kcfg/gssettings.kcfg
%_kf5_datadir/config.kcfg/okular_core.kcfg
%_qt5_plugindir/okular
%_qt5_plugindir/*.so
%_kf5_servicetypes/okularGenerator.desktop
%_kf5_iconsdir/*/*/*/okular.*
%_kf5_mandir/man1/okular.1.*
%_kf5_services/*.desktop
%_qt5_qml/org/kde/okular
%_kf5_datadir/kconf_update/okular.upd
%_kf5_datadir/kpackage/genericqml/*
%_kf5_datadir/kxmlgui5/okular
%_kf5_libdir/libOkular5Core.so.%{okular5core_major}*
%_kf5_datadir/metainfo/
%_kf5_datadir/locale
%{_mandir}
#%_kf5_datadir/kservices5/ms-its.protocol
#------------------------------------------------------------------------------

%package handbook
Summary:        Okular handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %name

%description handbook
This package provides okular handbook.

%files handbook
%doc %_kf5_docdir/HTML

#------------------------------------------------------------------------------	

%package devel
Summary:        Devel stuff for kdegraphics
Group:          Development/Libraries
Requires:       %name


%description devel
This package contains header files needed if you wish to build applications
based on okular.

%files devel
%_includedir/%{name}
%_kf5_libdir/cmake/Okular5
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

#menu
desktop-file-install --vendor="" \
 --remove-category="Application" \
 --add-category="X-MandrivaLinux-Office-Publishing" \
 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*.desktop



%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Tue Mar 14 2017 bb2 <bb2> - 16.12.3-2pclos2017
- rebuild new poppler

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Thu Dec 15 2016 bb <bb> 16.12.0-1pclos2017
- new version

